import { EventEmitter, OnInit } from '@angular/core';
import { CSSFrameworkEnum } from '@asoftwareworld/form-builder-pro/api';
import { AswApiParams } from './api-params/api-params';
import * as i0 from "@angular/core";
export declare class AswCommunicatorApi implements OnInit {
    aswApiParams: AswApiParams;
    apiResponse: EventEmitter<any>;
    CSSFramework: CSSFrameworkEnum;
    hasIndexedDB: boolean;
    indexedDB: any;
    openIDBrequest: any;
    idbStore: any;
    pastRequests: any;
    constructor();
    ngOnInit(): void;
    loadRequestHandler(request: any): void;
    openIndexedDB(): void;
    fetchPastRequests(): void;
    clearPastRequests(): void;
    getApiData(data: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AswCommunicatorApi, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AswCommunicatorApi, "asw-api-communicator", never, { "CSSFramework": { "alias": "CSSFramework"; "required": false; }; }, { "apiResponse": "apiResponse"; }, never, never, false, never>;
}
